<a class="waves-effect waves btn" href="#{{ id }}">{{ btn_text }}</a>
<div id="{{ id }}" class="ui modal">
    <div class="header">{{ header }}</div>
    <div class="content">{{ text }}</div>
    <div class="actions">{{ footer }}</div>
</div>